<?php
ini_set('error_reporting', E_ALL);

include_once('connection.php');


/*================================================================================
 * @name: YouTube Video Downloader
 * @author: (c)Wajahat Ahmad Khan (twitter@ItsBlueKut)
 * @website: http://googglet.com
 * @version: 1.2
 * @email: wajahat_pak123@yahoo.com
 ================================================================================*/

// Note for Security Measures:
// nocsrf.php Class is used to prevent CSRF Attacks & it is used in few functions
// trim() & strip_tags() are also used to prevent XSS Attacks
// mysqli_real_escape_string() is used to prevent SQL Injections 

//////////////////////////////////////     Admin Login /////////////////////////

function login($user, $con, $pass)
{
// We should escape string to prevent MYSQL Injections
    $pass   = mysqli_real_escape_string($con, $pass);
    $query  = "Select * from `my_admin` where user='$user'";
    $result = mysqli_query($con, $query);
    
    while ($row = mysqli_fetch_array($result, MYSQL_ASSOC)) {
        
        $suser = $row['user'];
        $spass = $row['pass'];
        
    }
    
    if (empty($suser)) {
        echo '<b style="background:red;padding:1px 7px;color:white;border-radius:5px;">Wrong Username or Password </b>';
    }
    
    else {
        
        if ($user == $suser && $pass == $spass) {
            echo '<b style="background:#468847;padding:1px 7px;color:white;border-radius:5px;">You are Successfully Logged in</b>';
            $_SESSION['user'] = $suser;
            echo "<meta http-equiv='refresh' content='1;url=dashboard'>";
        } else {
            echo '<b style="background:red;padding:1px 7px;color:white;border-radius:5px;">Wrong Username or Password </b>';
        }
    }
    
}




function getNotice($con, $bool)
{
    // $bool 1 means enable
    // $bool 0 means disable
    if ($bool == 1) {
        $bool = ' where con = 1';
    } else {
        $bool = '';
    }
    $sql = "SELECT * FROM my_notices $bool";
    
    $query = mysqli_query($con, $sql);
    
    while ($row = mysqli_fetch_array($query, MYSQL_ASSOC)) {
        $nData[] = $row;
    }
    
    return $nData;
}


function totalDownloads($con)
{
    $query  = "SELECT  count(*) FROM `my_downloads`";
    $result = mysqli_query($con, $query);
    $row    = $result->fetch_row();
    
    return $row['0'];
    
} 
function downloadCount($con,$typeOfSite)
{
    $query  = "SELECT  count(*) FROM `my_downloads` where `Link` like '%$typeOfSite%'";
    $result = mysqli_query($con, $query);
    $row    = $result->fetch_row();
    
    return $row['0'];
    
}



function todayDown($con, $is, $dat)
{
    if ($is == 0) {
        $solink1       = 'http://localtimes.info/Asia/Pakistan/';
        $file_strings2 = file_get_contents($solink1);
        preg_match_all('/<td style="width:50%;">(.+?)<\/td><\/tr>/', $file_strings2, $today);
        $mydate = $today[1][1];
    } else {
        $mydate = $dat;
    }
    
    $query  = "SELECT  count(*) FROM `my_downloads` WHERE `Date` LIKE '%$mydate%'";
    $result = mysqli_query($con, $query);
    $row    = $result->fetch_row();
    return $row['0'];
}


function getRealIpAddr()
{
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) //check ip from share internet
        {
        $ip = $_SERVER['HTTP_CLIENT_IP'];
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) //to check ip is pass from proxy
        {
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
        $ip = $_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}

function getCountry()
{
    
    
    $xml = simplexml_load_file("http://www.geoplugin.net/xml.gp?ip=" . getRealIpAddr());
    $con = $xml->geoplugin_countryName;
    
    //setcookie('flag', $con, time() + 3600 * 24);
    return $con;
}




function removeVid($con, $id)
{
    if (is_numeric($id)) {

		$query = mysqli_query($con, "SELECT ID FROM `my_downloads` where `ID`='$id'");
		if(mysqli_num_rows($query) > 0){
            
            $sql = "DELETE FROM `my_downloads` WHERE `ID`='$id'";
            
            if (mysqli_query($con, $sql)) {
                echo "Record deleted successfully";
            } else {
                echo "Error deleting record: " . mysqli_error($con);
            }
        } else {
            echo "Record Already Deleted";
            
        }
    } else {
        echo 'Sorry Wrong ID';
    }
}


function selectAbout($con)
{
    
    $sql = "SELECT text  FROM `my_about` where ID=1";
    
    $query = mysqli_query($con, $sql);
    
    while ($row = mysqli_fetch_array($query, MYSQL_ASSOC)) {
        $text = $row['text'];
        
        return $text;
    }
    
}


function updateAbout($con)
{
    // No Stip Tagging or Trimming for HTML Content
    $text = $_POST['area'];
    
    
    if (empty($text)) {
    } else {
        $text  = mysqli_real_escape_string($con, $text);
        $query = "UPDATE `my_about` SET `text`='$text' where ID=1";
        
        if (mysqli_query($con, $query)) {
            echo "About Page is Successfully Edited";
        }
    }
}


function updateNotice($con, $nNo)
{
    // Trimming protects us from XSS attack
    $nCon   = strip_tags($_POST['status']);
    $nType  = strip_tags($_POST['type']);
    $nTitle = strip_tags($_POST['title']);
    $nDesc  = strip_tags($_POST['desc']);
    if (empty($nDesc)) {
    } else {
        
        // Escape String Protect query from sql injection
        $nTitle = mysqli_real_escape_string($con, $nTitle);
        $nDesc  = mysqli_real_escape_string($con, $nDesc);
        $query  = "UPDATE `my_notices` SET `type`='$nType',`title`='$nTitle',`desc`='$nDesc',`con`='$nCon' WHERE `ID` = $nNo";
        mysqli_query($con, $query);
    }
}


function getAds($con, $no, $usr)
{
    $query  = "select * from my_ads";
    $result = mysqli_query($con, $query);
    while ($row = mysqli_fetch_array($result, MYSQL_ASSOC)) {
        $Ads[] = $row;
    }
    if ($usr == 1) {
        
        return $Ads[0]['adcode'];
    }
    if ($usr == 2) {
        
        return $Ads[1]['adcode'];
    }
    if ($usr == 3) {
        if ($no == 1) {
            if ($Ads[0]['con'] == 1) {
                
                return $Ads[0]['adcode'];
            } else {
            }
        }
        if ($no == 2) {
            if ($Ads[1]['con'] == 1) {
                
                return $Ads[1]['adcode'];
            } else {
            }
        }
    }
    
}


function updateAds($con)
{
    
    if (empty($_POST['ad1'])) {
        echo 'Left Ad Code is Empty';
    } else {
        if (empty($_POST['ad2'])) {
            echo 'Right Ad Code is Empty';
        } else {
            
            $ad1    = $_POST['ad1'];
            $ad2    = $_POST['ad2'];
            $st1    = trim($_POST['status1']);
            $st2    = trim($_POST['status2']);
            $query  = "update my_ads set adcode='$ad1', con='$st1' where ID=1";
            $result = mysqli_query($con, $query);
            $query  = "update my_ads set adcode='$ad2', con='$st2' where ID=2";
            $result = mysqli_query($con, $query);
            
        }
    }
}




function delBannedPage($con)
{
    
    if (isset($_GET['del'])) {
        $del    = trim($_GET['del']);
        $query  = "DELETE FROM `dl_blockpage` WHERE `ID`='$del'";
        $result = mysqli_query($con, $query);
    }
}







function getAdDet($con)
{
    $query  = "select * from my_admin";
    $result = mysqli_query($con, $query);
    while ($row = mysqli_fetch_array($result, MYSQL_ASSOC)) {
        $AdDet[] = $row;
    }
    return $AdDet;
}


function updateAdmin($con)
{
    if (empty($_POST['user'])) {
        echo 'Please Enter Admin User Name';
    } else {
        if (empty($_POST['pass'])) {
            echo 'Please Enter Admin Password';
        } else {
            if (empty($_POST['email'])) {
                echo 'Please Enter Admin Email';
            } else {
                if (empty($_POST['websiteName'])) {
                    echo 'Please Enter Website Name';
                } else {
                    if (empty($_POST['desc'])) {
                        echo 'Please Enter Website Description';
                    } else {
                        if (empty($_POST['fav'])) {
                            echo 'Please Add favicon for your website';
                        } else {
                             
                            $user     = mysqli_real_escape_string($con, strip_tags($_POST['user']));
                            $pass     = mysqli_real_escape_string($con, strip_tags($_POST['pass']));
                            $email    = strip_tags($_POST['email']);
                            $websiteN = strip_tags($_POST['websiteName']);
                            $desc     = strip_tags($_POST['desc']);
                            $gID      = strip_tags($_POST['gID']);
                            $fav      = strip_tags($_POST['fav']);
                            $weblogo  = strip_tags($_POST['logo']);
                            
                            $query  = "update my_admin set user='$user',pass='$pass' where ID=1";
                            $result = mysqli_query($con, $query);
                            
                            $file    = '../config.php';
                            $content = file_get_contents($file);
                            
                            $pattern1     = '/\\$webNAME \\= \'(.+?)\'/';
                            $replacement1 = '$webNAME = \'' . $websiteN . '\'';
                            $pattern2     = '/\\$webDesc \\= \'(.+?)\'/';
                            $replacement2 = '$webDesc = \'' . $desc . '\'';
                            $pattern3     = '/\\$userEmail \\= \'(.+?)\'/';
                            $replacement3 = '$userEmail = \'' . $email . '\'';
                            $pattern4     = '/\\$gAnalyticID \\= \'(.+?)\'/';
                            $replacement4 = '$gAnalyticID = \'' . $gID . '\'';
                            $pattern5     = '/\\$favicon \\= \'(.+?)\'/';
                            $replacement5 = '$favicon = \'' . $fav . '\'';
                            $pattern6     = '/\\$logo \\= \'(.+?)\'/';
                            $replacement6 = '$logo = \'' . $weblogo . '\'';
                            
                            $content = preg_replace($pattern1, $replacement1, $content);
                            file_put_contents($file, $content);
                            $content = preg_replace($pattern2, $replacement2, $content);
                            file_put_contents($file, $content);
                            $content = preg_replace($pattern3, $replacement3, $content);
                            $cont    = file_put_contents($file, $content);
                            $content = preg_replace($pattern4, $replacement4, $content);
                            $cont    = file_put_contents($file, $content);
                            $content = preg_replace($pattern5, $replacement5, $content);
                            $cont    = file_put_contents($file, $content);
                            $content = preg_replace($pattern6, $replacement6, $content);
                            $cont    = file_put_contents($file, $content);
                            
                            echo 'You Have Successfully Updated Data :)';
                        }
                    }
                }
            }
        }
    }
}

function forGot($con,$pass)
{
	$pass   = mysqli_real_escape_string($con, strip_tags($pass));	
	$query  = "update my_admin set pass='$pass' where ID=1";
    $result = mysqli_query($con, $query);
	if($result){
	return 1;
	}
}
?>
